import { Environment, RootURLMapping } from './types';
declare const ROOT_URLS: RootURLMapping<Environment>;
declare const API_TIMEOUT_MS = 5000;
declare const HELIOTROPE_CALL_IS_QUEUE_MESSAGE = "call was cached";
declare const LOG_PREFIX = "Experiment SDK: ";
declare const ERRORS: {
    ENTITY_IDS_MUST_BE_OBJECT: string;
    ORG_ID_OR_GROUP_ID_MUST_BE_PROVIDED: string;
    LOGGEROPTIONS_MUST_BE_OBJECT: string;
    LOGGER_MUST_BE_PROVIDED: string;
    DEFAULT_TEAM_MUST_BE_PROVIDED: string;
    LOGGER_MUST_BE_OBJECT: string;
    LOGGER_MUST_HAVE_LOG_FUNCTION: string;
    TRACKEROPTIONS_MUST_BE_OBJECT: string;
    TRACKER_MUST_BE_PROVIDED: string;
    TRACKER_MUST_BE_OBJECT: string;
    TRACKER_MUST_HAVE_TRACK_FUNCTION: string;
    API_TIMEOUT: string;
    ENTITY_NOT_IN_EXPERIMENT: string;
};
declare const WARNINGS: {
    MISSING_ASSIGNMENT_DATA: string;
    ATTEMPTED_ASSIGNMENT_OVERRIDE: string;
    ATTEMPTED_ATTRIBUTE_OVERRIDE: string;
};
export { ROOT_URLS, HELIOTROPE_CALL_IS_QUEUE_MESSAGE, LOG_PREFIX, ERRORS, WARNINGS, API_TIMEOUT_MS };
//# sourceMappingURL=constants.d.ts.map