import { MMSApiProps, MMSAssignByPointsProps, MMSAssignByPointsV3Props, MMSAssignmentResponse, MMSAssignProps, MMSAssignV3Props, MMSGetAssignmentProps, MMSGetAssignmentV3Props, TypeData } from './types';
declare const _default: {
    mmsAssign: <T extends TypeData>(params: MMSAssignProps<T>) => Promise<MMSAssignmentResponse<T>>;
    mmsAssignV3: <T_1 extends TypeData>(params: MMSAssignV3Props<T_1>) => Promise<MMSAssignmentResponse<T_1>>;
    mmsAssignByPoints: <T_2 extends TypeData>(params: MMSAssignByPointsProps<T_2>) => Promise<MMSAssignmentResponse<T_2>>;
    mmsAssignByPointsV3: <T_3 extends TypeData>(params: MMSAssignByPointsV3Props<T_3>) => Promise<MMSAssignmentResponse<T_3>>;
    mmsListExperiments: (params: MMSApiProps) => Promise<string>;
    mmsGetAssignment: <T_4 extends TypeData>(params: MMSGetAssignmentProps<T_4>) => Promise<MMSAssignmentResponse<T_4>>;
    mmsGetAssignmentV3: <T_5 extends TypeData>(params: MMSGetAssignmentV3Props<T_5>) => Promise<MMSAssignmentResponse<T_5>>;
};
export default _default;
//# sourceMappingURL=api.d.ts.map